import {cd, path} from 'zx'
import {trim} from "licia";
import {run_deploy_batch, run_deploy_root, run_package, run_upload} from "./library.js";

// 切换目录
cd(trim(path.dirname(import.meta.dirname)))
// 执行流程
try {
    await run_deploy_root()
    await run_deploy_batch(['service-common', 'service-dependencies', 'service-configuration', 'service-forest', 'service-executor', 'service-executor/service-executor-core'])
    await run_package('service-executor/service-executor-manager')
    await run_upload('**/service-executor-manager-1.0.0-SNAPSHOT.jar')
} catch (e) {
    console.error(e)
}